import { VantResolver } from '@vant/auto-import-resolver'
import autoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { defaultSettings } from '../../../../config'

const importsModules = [ 'vue', 'vue-router' ] as any

const { modules = [], use } = defaultSettings.cdn

export function createAutoImport() {
  const useCdnModules = use && modules.some(el => importsModules.includes(el.name))
  return [
    autoImport({
      include: [
        /\.[tj]sx?$/, // .ts, .tsx, .js, .jsx
        /\.vue$/, /\.vue\?vue/, // .vue
        /\.md$/ // .md
      ],
      imports: useCdnModules ? [] : importsModules,
      dts: 'types/auto-imports.d.ts',
      dirs: [ 'src/store' ]
    }),
    Components({
      resolvers: [ VantResolver() ],
      dts: 'types/vant-import.d.ts'
    })
  ]
}
