import type { ListSearchParams } from '../../utils/table'
import Mockjs from 'mockjs'
import { createMockRoute } from '../../../mock'
import { handlePageList, initContent } from '../../utils/table'

const dataSource = initContent<TableRecord<any>>(120, () => ({
  title: Mockjs.Random.ctitle(),
}))

export default createMockRoute({
  url: '/table/list',
  method: 'post',
  timeout: 200,
  callback: ({ body }) => {
    const { pageNum = 1, pageSize = 10 }: ListSearchParams = body

    return {
      list: handlePageList(dataSource, { pageNum, pageSize }),
      totalCount: dataSource.length
    }
  }
})
