import type { MenuDataItem } from '@gx-design-vue/pro-layout'
import type { Router } from 'vue-router'
import getPageTitle from '@/utils/pageTitle'
import { createPermissionGuard } from './permissions'
import { createStateGuard } from './stateGuard'

export function setupRouterGuard(router: Router) {
  createPageGuard(router)
  createPermissionGuard(router)
  createStateGuard(router)
}

export function createPageGuard(router: Router) {
  router.afterEach((to) => {
    const { meta } = to as MenuDataItem
    document.title = getPageTitle(meta?.title || '')
  })
}
