import type { App } from 'vue'
import { createPinia } from 'pinia'
import { useStoreGlobal } from './modules/global'
import { useStoreUser } from './modules/user'

export {
  useStoreGlobal,
  useStoreUser,
}

export function useStore() {
  return {
    user: useStoreUser(),
    global: useStoreGlobal()
  }
}

export function setupStore(app: App<Element>) {
  app.use(createPinia())
}
