import type { RouteRecordRaw } from 'vue-router'

declare global {
  interface UserInfo {
    deptType?: 'government' | 'enterprise';
    roles: string[];
    permissions: string[];
    user: UserDetails;
  }

  interface UserDetails {
    createBy?: string
    createTime?: string
    updateBy?: string
    updateTime?: string
    remark?: string
    userId?: number
    deptId?: number
    userName?: string
    nickName: string
    address: string
    email: string
    phonenumber: string
    sex?: string // 假设 '1' 代表某种性别，可能需要进一步定义
    avatar?: string
    password?: string
    status?: string
    delFlag?: string
    loginIp?: string
    loginDate?: string // ISO 8601 格式
    dept?: DepartBaseInfo
    roles?: RoleInfo[] // 根据具体结构可进一步定义
    roleIds?: number[]
    postIds?: number[]
    roleId?: number
    admin?: boolean
  }

  interface AppRouteRecordRaw {
    meta?: {
      icon?: string;
      name?: string;
      isMenu?: boolean;
      menuSelectKey?: string;
    };
    children?: AppRouteRecordRaw[];
  }

  export type AppRouteModule = AppRouteRecordRaw & RouteRecordRaw

  interface DefaultTableRecord {
    id: any;
    uuid: string;
    createTime?: string | null;
  }

  type TableRecord<T = undefined> = T extends undefined ? DefaultTableRecord : DefaultTableRecord & T
}
